import { Video, View, Image } from '@tarojs/components';
import { compressImage } from '@/utils'
import './style.less'

export default (props) => {
  const { item } = props
  return (
    <>
      {
        item.contentType == 'image' ?
          <Image src={compressImage(item.content)} mode='widthFix' style={{ width: '100%' }} className='image-content' /> :
          item.contentType == 'text' ?
            <View style={{ marginBottom: '5px' }}>
              <View className='storezn'>{item.content}</View>
            </View>
            :
            <Video
              controls
              autoplay={false}
              VideoType={false}
              loop={false}
              muted={false} style={{ width: "100%", height: '200px' }} src={item.content}
            >
            </Video>
      }
    </>
  )
}